Bug 10678 - Allow framework selection when creating from Z39.50
Summary: Allow framework selection when creating from Z39.50
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-02 18:30 UTC by Tomás Cohen Arazi
Modified: 2014-12-07 20:02 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10678 - Allow framework selection when creating from Z39.50 (3.55 KB, patch)
2013-08-02 18:35 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Snapshot (80.80 KB, image/jpeg)
2013-08-02 18:38 UTC, Tomás Cohen Arazi
Details
Bug 10678 - Allow framework selection when creating from Z39.50 (3.76 KB, patch)
2013-08-02 20:59 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 10678 - Update addbooks help page (1.31 KB, patch)
2013-08-02 21:37 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[Signed off] Bug 10678 - Allow framework selection when creating from Z39.50 (3.83 KB, patch)
2013-08-10 00:27 UTC, Melia Meggs
Details | Diff | Splinter Review
[Signed off] Bug 10678 - Update addbooks help page (1.37 KB, patch)
2013-08-10 00:27 UTC, Melia Meggs
Details | Diff | Splinter Review
[PASSED QA] Bug 10678 - Allow framework selection when creating from Z39.50 (3.90 KB, patch)
2013-09-08 21:51 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 10678 - Update addbooks help page (1.64 KB, patch)
2013-09-08 21:51 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2013-08-02 18:30:28 UTC

    
Comment 1 Tomás Cohen Arazi 2013-08-02 18:35:19 UTC Comment hidden (obsolete)
Comment 2 Tomás Cohen Arazi 2013-08-02 18:38:26 UTC
Created attachment 20082 [details]
Snapshot
Comment 3 Owen Leonard 2013-08-02 19:32:55 UTC
Everything looks good and works well with one exception: If I click the button without choosing one of the menu choices the framworkcode is passed as "undefined" instead of being empty. With "undefined" the default framework isn't loaded and I get an MARC edit screen with no fields.
Comment 4 Tomás Cohen Arazi 2013-08-02 20:59:22 UTC Comment hidden (obsolete)
Comment 5 Tomás Cohen Arazi 2013-08-02 21:37:37 UTC Comment hidden (obsolete)
Comment 6 Melia Meggs 2013-08-10 00:27:15 UTC Comment hidden (obsolete)
Comment 7 Melia Meggs 2013-08-10 00:27:54 UTC Comment hidden (obsolete)
Comment 8 Melia Meggs 2013-08-10 00:31:21 UTC
After applying these patches, I can see the "New from Z39.50" button with the arrow for a dropdown of frameworks.  I tested this by just clicking the button, going through the usual Z39.50 search and import, and my record was imported with the default framework.  I then chose a different framework from the dropdown, went through the usual Z39.50 search and import, and my record was imported with the framework I had selected.  I read the update to the help page, and I think everything looks good, so I am signing off.
Comment 9 Katrin Fischer 2013-09-08 21:51:36 UTC
Created attachment 20890 [details] [review]
[PASSED QA] Bug 10678 - Allow framework selection when creating from Z39.50

If we are creating a new record, we are forced to use the default framework
and then change it after we have the cataloguing form filled. This patch
adds the option to choose (from a splitted button dropdown) which framework
to use.

To test:
- Apply the patch.
- Go to More > Cataloguing
- Check there's a nice split button that says "New from Z39.50"
a) Click the button, the usual Z39.50 search popup should appear and work as expected
   (check the URL parameters and see frameworkcode= has no value
b) Click on the dropdown arrow, choose a framework and the usual Z39.50 search popup should
   appear, this time frameworkcode= should have the chosen value.

Regards
To+

Edit: fixed a small bug that prevented the default framework to be called. Thanks Owen for testing.

Sponsored-by: Universidad Nacional de Cordoba
Signed-off-by: Melia Meggs <melia@bywatersolutions.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Notes on second patch.
Comment 10 Katrin Fischer 2013-09-08 21:51:44 UTC
Created attachment 20891 [details] [review]
[PASSED QA] Bug 10678 - Update addbooks help page

The button's name changed, and a caret was added.

Sponsored-by: Universidad Nacional de Cordoba
Signed-off-by: Melia Meggs <melia@bywatersolutions.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Passes all tests and QA script.
If you click the button directly, the default framework is still used.
If you use the split button functionality to select another framework,
this framework will be used for the imported record.
Comment 11 Galen Charlton 2013-09-08 22:33:50 UTC
Pushed to master.  Thanks, Tomás!
Comment 12 Tomás Cohen Arazi 2013-09-13 19:13:49 UTC
This patch has been pushed to 3.12.x, will be in 3.12.5.